otzar_dir := finddir("OTZAR")
OTZAR_user_dir := finddir("OTZAR_user_data")
plugin(otzar_dir, "getbook")

;otzar not open
IfWinNotExist,  ahk_class TOtzarMainForm 
{
	MsgBox, 1572912, ,   
	Exit
}

my_drive := OTZARdrive()

otzarin(otzar_dir, "getcurlistrow=")
id := otzarout(otzar_dir)
otzarin(otzar_dir, "getcurlistrowbookid("  id[2] ")=")
id := otzarout(otzar_dir)

IfnotExist, % my_drive "\" id[2] ".tvi"	
{
	MsgBox, 1572932, ,     `n`n YES  
	IfMsgBox, yes	
	otzartvi(my_drive, id[2])	
}
 hjhjhjhjhj

;found tvi from user
IfExist, % OTZAR_user_dir "\" id[2] ".tvi"
{
	IfNotExist, % my_drive "\ "
		FileCreateDir, % my_drive "\ "
	
	File := Fileopen(OTZAR_user_dir "\" id[2] ".tvi", "r")
	mytempbook := File.Read()
	File := Fileopen(my_drive "\ \" id[2] ".tvi", "rw") ;save user tvi
	File.Seek(0, 2)
	File.Write(mytempbook)
	
	;put oser tvi before otzar
	File := Fileopen(my_drive "\" id[2] ".tvi", "rw")
	mytempbook .= File.Read()
	file.Close
	File := Fileopen(my_drive "\" id[2] ".tvi", "w")
	File.WriteLine(mytempbook)
	file.Close
	
	FileDelete, % OTZAR_user_dir "\" id[2] ".tvi"
}

IfExist, % my_drive "\" id[2] ".tvi"
{
	;run, % my_drive "\" id[2] ".tvi"
	;run, % "C:\Program Files\Notepad++\notepad++.exe "  my_drive "\" id[2] ".tvi"
	run, % "notepad.exe "  my_drive "\" id[2] ".tvi"
}else{
	MsgBox, 1572912,  ,     
}
ExitApp




;=============================  functions  ================================

finddir(f_dir)
{

	ifExist, D:\%f_dir%
	{
		my_dir := "D:\" f_dir 
		goto, FD
	}	
	IfExist, C:\%f_dir%
	{
		my_dir := "C:\" f_dir 
		goto, FD
	}
	
	FileSelectFolder, my_dir, ::{20d04fe0-3aea-1069-a2d8-08002b30309d}, 3, Pick Otzar folder: ; srartres by My Computer

FD:
	IfNotExist, %my_dir%
	{
		MsgBox, 48,   ,Did not find %f_dir% Folder`n`nScrpit will exit
		exit
	}
return, my_dir "\"
}


plugin(my_dir, plug_name) ;Add as plugin
{
	IniRead, my_ini, %my_dir%plugin.INI, %plug_name%, modulename
	if my_ini = %A_ScriptFullPath%
	{
	}else{
		MsgBox, 36,  Get otzar book marks,  Add as plugin?
		ifmsgbox, Yes
		{
			IniWrite, change books bookmarks^f8, %my_dir%plugin.INI, %plug_name%, menu
			IniWrite, %A_ScriptFullPath%, %my_dir%plugin.INI, %plug_name%, modulename
			IniWrite, 0, %my_dir%plugin.INI, %plug_name%, wait		
		} 
	}
return
}



otzartvi(my_drive, num)
{
	IniRead, my_ini, %A_ScriptDir%\tvi.ini, 11, %num%.tvi
	if my_ini = error
	{
	}else{
		pos := StrSplit(my_ini,"+") 
		file := FileOpen(my_drive "\TVI.OPK", "r")
		File.Seek(pos[1], 0)
		mytempbook := File.Read(pos[2])
		File.Close()
		file := FileOpen(my_drive "\" num ".tvi", "w")
		File.Write(mytempbook)
		File.Close()
	}
return
}


otzarin(otzar_dir, command)
{
	file := FileOpen(otzar_dir "PQ0.TXT", "w")
	File.Write(command)
	File.close()
	SendMessage, 2048, 0, 0, , ahk_class TOtzarMainForm
	return
}




otzarout(otzar_dir)
{
	file := FileOpen(otzar_dir "PQR0.TXT", "r")
	id := File.Read()
	id := StrSplit(id, "=", "`n`r")
	File.close()
	return, id
}

OTZARdrive()
{
;loop all drives and find otzar
	DriveGet, list, list
	num := StrLen(list)
	drive_loop := StrSplit(list) 

	loop %num%
	{
		DriveGet, label, label, % drive_loop[a_index]":\"
		if label =  
			my_drive := drive_loop[a_index]":\"
	}

	if my_drive = 	;did not find otzar by itself
	{
		FileSelectFolder, my_drive, *Y:\, 3, Pick Otzar drive: ; srartres by My Computer - ::{20d04fe0-3aea-1069-a2d8-08002b30309d}
		if my_drive = ;cancal was presed
			ExitApp
	}


return my_drive
}